Subject: Re: URN scheme for IANA registrations

From: Terry Allen <[email-masked]>
Date: Wed, 15 Mar 2000 15:39:10 -0800

Michael replied
| On Tue, Mar 14, 2000 at 07:16:36PM -0800, Terry Allen wrote:
| > Larry wrote:
| > | The general idea is to create a way to refer to these IANA
| > | registrations using a URI. While it might be as reasonable
| > | to use http://www.iana.org/<namespace>/<value> as a template
| > | for such URIs, it might also be more stable to use
| > |    URN:IANA:<namespace>:<value>
| > | as the URI.
| >
| > The meaning of the word "namespace" has been confused by its
| > use for the syntactic device yclept "XML Namespaces"; could
| > you explain what it means here?  Is it a sort of sub-NID?
|
| We use the term namespace as more of a general term.
| In this particular example any identifiable chunk of the URN
| defines some set of names which we call a namespace.
| namespace = a defined set of names

I agree with the definition; let me ask the question another
way.  In the context of IANA registrations, what sets of names
count as namespaces for the purpose of this proposal?

---

From: Michael Mealling <[email-masked]>
Date: Wed, 15 Mar 2000 19:09:50 -0500

> count as namespaces for the purpose of this proposal?

Ahh.. sorry. I misunderstood. I'll probably be putting words in
Larry's mouth by guessing but I'm betting that the <namespace>
value would be logically equivalent to the sub-headings found on this page:
http://www.iana.org/numbers.html

I.e. under the 'A' section we have "AS numbers". Thus that would translate
to a value you would put in the <namespace> part something like this:
urn:iana:as:6245

(6245 is our AS number)

One problem is that some of these have additional subsections. The
DNS parameters section has various subsections (class, rr types, etc).
Does each one get a <namespace> or is the namespace further subdivided
as in:
urn:iana:dns-parms:class:3              (chaos class)

Just some thoughts....

-MM

-MM

urn:iana:dns-parm:class:

--
--------------------------------------------------------------------------------
Michael Mealling        |      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions       |          www.lp.org          |  [email-masked]